ktorrent -- directory traversal

2007-09-11T00:00:00
ID DSA-1373
Type debian
Reporter Debian
Modified 2007-09-11T00:00:00

Description

It was discovered that ktorrent, a BitTorrent client for KDE, was vulnerable to a directory traversal bug which potentially allowed remote users to overwrite arbitrary files.

For the old stable distribution (sarge), this package was not present.

For the stable distribution (etch), this problem has been fixed in version 2.0.3+dfsg1-2.2etch1.

For the unstable distribution (sid), this problem has been fixed in version 2.2.1.dfsg.1-1.

We recommend that you upgrade your ktorrent package.